Subject: Re: i2c on mpc5200

From: Sylvain Munaut <[email-masked]>
Date: Sat, 25 Dec 2004 13:34:40 +0100

Hi

> I have a hardware clock (RTC) which is not yet supported in
> the linux kernel. It is RX-8025 module from EPSON and it is
> I2C bus-interface based. Before I start writing support for this
> module I would like to have I2C support working in my kernel.
> Has anybody succeeded in getting I2C supported for MPC5200
> based boards with 2.6 kernels? I'm using the one which maintains
> Sylvain Munaut. If I boot up the kernel with I2C support in it
> I don't get any initialization messages for I2C, only this one line:
> ----------------------------------------------------------------------
> eth0: Phy @ 0x0, type LXT971 (0x001378e2)                           
> mice: PS/2 mouse device common for all mice
> i2c /dev entries driver
> NET: Registered protocol family 2
> IP: routing cache hash table of 512 buckets, 4Kbytes
> -----------------------------------------------------------------------

Are you sure it doesn't work ?
On my system there are no I2C init message either, the driver is just 
not noisy ... (unless you activate all the I2C debug stuff).

I have the exact same message than you but if I activate the eeprom 
support then in
/sys/bus/i2c/devices, the lite5200 eeprom shows up and I can read it ...

Sylvain